-------------- Articles --------------
@article{ucon,
	title={{The UCONABC usage control model}},
	author={Park, Jaehong and Sandhu, Ravi},
	journal={ACM Transactions on Information and System Security (TISSEC)},
	volume={7},
	number={1},
	pages={128--174},
	year={2004},
	publisher={ACM New York, NY, USA}
}

@article{ucs2016cloudsys,
	title={{Usage control on cloud systems}},
	author={Carniani, Enrico and D’Arenzo, Davide and Lazouski, Aliaksandr and Martinelli, Fabio and Mori, Paolo},
	journal={Future Generation Computer Systems},
	volume={63},
	pages={37--55},
	year={2016},
	publisher={Elsevier}
}

@article{rumez2020overview,
	title={{An Overview of Automotive Service-Oriented Architectures and Implications for Security Countermeasures}},
	author={Rumez, Marcel and Grimm, Daniel and Kriesten, Reiner and Sax, Eric},
	journal={IEEE Access},
	volume={8},
	pages={221852--221870},
	year={2020},
	publisher={IEEE}
}

@article{saltzer1975polp,
	title={The protection of information in computer systems},
	author={Saltzer, Jerome H and Schroeder, Michael D},
	journal={Proceedings of the IEEE},
	volume={63},
	number={9},
	pages={1278--1308},
	year={1975},
	publisher={IEEE}
}

@article{dimitrakos2012soa,
	title={{Securing business operations in an SOA}},
	author={Dimitrakos, Theo and Brossard, David and de Leusse, Pierre},
	journal={arXiv preprint arXiv:1203.0429},
	year={2012}
}

@article{miller2015remote,
	title={{Remote exploitation of an unaltered passenger vehicle}},
	author={Miller, Charlie and Valasek, Chris},
	journal={Black Hat USA},
	volume={2015},
	pages={91},
	year={2015}
}

@article{wouters2019fast,
	title={{Fast, furious and insecure: Passive keyless entry and start systems in modern supercars}},
	author={Wouters, Lennert and Marin, Eduard and Ashur, Tomer and Gierlichs, Benedikt and Preneel, Bart},
	journal={IACR Transactions on Cryptographic Hardware and Embedded Systems},
	pages={66--85},
	year={2019}
}

@article{bernardini2017security,
	title={{Security and privacy in vehicular communications: Challenges and opportunities}},
	author={Bernardini, Cesar and Asghar, Muhammad Rizwan and Crispo, Bruno},
	journal={Vehicular Communications},
	volume={10},
	pages={13--28},
	year={2017},
	publisher={Elsevier}
}

@article{ammar2020securing,
	title={{Securing the On-board Diagnostics Port (OBD-II) in Vehicles}},
	author={Ammar, Mahmoud and Janjua, Hassaan and Thangarajan, Ashok and Crispo, Bruno and Hughes, Danny},
	journal={8th Embedded Security in Cars (ESCAR USA)},
	year={2020},
	publisher={SAE}
}

@article{abac,
	title={{Guide to attribute based access control (abac) definition and considerations (draft)}},
	author={Hu, Vincent C and Ferraiolo, David and Kuhn, Rick and Friedman, Arthur R and Lang, Alan J and Cogdell, Margaret M and Schnitzer, Adam and Sandlin, Kenneth and Miller, Robert and Scarfone, Karen and others},
	journal={NIST special publication},
	volume={800},
	number={162},
	year={2013},
	publisher={Citeseer}
}


------------ Proceedings -------------
@inproceedings{ucs2012prototype,
	title={{A prototype for enforcing usage control policies based on XACML}},
	author={Lazouski, Aliaksandr and Martinelli, Fabio and Mori, Paolo},
	booktitle={International Conference on Trust, Privacy and Security in Digital Business},
	pages={79--92},
	year={2012},
	organization={Springer}
}

@inproceedings{ucs2017iot,
	title={{Implementing usage control in internet of things: a smart home use case}},
	author={La Marra, Antonio and Martinelli, Fabio and Mori, Paolo and Saracino, Andrea},
	booktitle={2017 IEEE Trustcom/BigDataSE/ICESS},
	pages={1056--1063},
	year={2017},
	organization={IEEE}
}

@inproceedings{vetter2020development,
	title={{Development processes in automotive service-oriented architectures}},
	author={Vetter, Andreas and Obergfell, Philipp and Guissouma, Houssem and Grimm, Daniel and Sax, Eric and Rumez, Marcel},
	booktitle={2020 9th Mediterranean Conference on Embedded Computing (MECO)},
	pages={1--7},
	year={2020},
	organization={IEEE}
}

@inproceedings{hariri2022wip,
	title={WiP: Metamodel for Continuous Authorisation and Usage Control},
	author={Hariri, Ali and Ibrahim, Amjad and Dimitrakos, Theo and Crispo, Bruno},
	booktitle={Proceedings of the 27th ACM on Symposium on Access Control Models and Technologies},
	pages={43--48},
	year={2022}
}

@INPROCEEDINGS{theo2020uconplus,
	author={T. {Dimitrakos} and T. {Dilshener} and A. {Kravtsov} and A. {La Marra} and F. {Martinelli} and A. {Rizos} and A. {Rosetti} and A. {Saracino}},
	booktitle={2020 IEEE 19th International Conference on Trust, Security and Privacy in Computing and Communications (TrustCom)}, 
	title={{Trust Aware Continuous Authorization for Zero Trust in Consumer Internet of Things}}, 
	year={2020},
	volume={},
	number={},
	pages={1801-1812},
	doi={10.1109/TrustCom50675.2020.00247}
}

@inproceedings{ed25519,
	title={High-speed high-security signatures},
	author={Bernstein, Daniel J and Duif, Niels and Lange, Tanja and Schwabe, Peter and Yang, Bo-Yin},
	booktitle={International Workshop on Cryptographic Hardware and Embedded Systems},
	pages={124--142},
	year={2011},
	organization={Springer}
}

@inproceedings{durrwang2017security,
	title={{Security evaluation of an airbag-ECU by reusing threat modeling artefacts}},
	author={D{\"u}rrwang, J{\"u}rgen and Braun, Johannes and Rumez, Marcel and Kriesten, Reiner},
	booktitle={2017 International Conference on Computational Science and Computational Intelligence (CSCI)},
	pages={37--43},
	year={2017},
	organization={IEEE}
}

@inproceedings{hamad2017secure,
	title={{Secure APIs for Applications in Microkernel-based Systems}},
	author={Hamad, Mohammad and Prevelakis, Vassilis},
	booktitle={ICISSP},
	pages={553--558},
	year={2017}
}

@inproceedings{hugot2019omac,
	title={oMAC: Open Model for Automotive Cybersecurity},
	author={Hugot, Vincent and Jousse, Adrien and Toinard, Christian and Venelle, Benjamin},
	booktitle={17th escar Europe: embedded security in cars (Konferenzver{\"o}ffentlichung)},
	year={2019}
}

@inproceedings{gupta2018authorization,
	title={{Authorization framework for secure cloud assisted connected cars and vehicular internet of things}},
	author={Gupta, Maanak and Sandhu, Ravi},
	booktitle={Proceedings of the 23nd ACM on Symposium on Access Control Models and Technologies},
	pages={193--204},
	year={2018}
}

@inproceedings{rumez2019integration,
	title={Integration of Attribute-based Access Control into Automotive Architectures},
	author={Rumez, Marcel and Duda, Alexander and Gr{\"u}nder, Patrick and Kriesten, Reiner and Sax, Eric},
	booktitle={2019 IEEE Intelligent Vehicles Symposium (IV)},
	pages={1916--1922},
	year={2019},
	organization={IEEE}
}


---------------- Misc ----------------
@misc{mck2019race,
	author = {Deichmann, Johannes and Klein, Benjamin and Scherf, Gundbert and Rupert, Stuetzle},
	title = {{The race for cybersecurity: Protecting the connected car in the era of new regulation}},
	year = {2019},
	month = {October},
	url = {https://mckinsey.com/industries/automotive-and-assembly/our-insights/the-race-for-cybersecurity-protecting-the-connected-car-in-the-era-of-new-regulation},
}

@misc{mck2020challenge,
	author = {Burkacky, Ondrej and Deichmann, Johannes and Klein, Benjamin and Pototzky, Klaus and Scherf, Gundbert},
	title = {{Cybersecurity in automotive: Mastering the challenge}},
	year = {2020},
	month = {June},
	url = {https://www.mckinsey.com/industries/automotive-and-assembly/our-insights/cybersecurity-in-automotive-mastering-the-challenge},
}

@misc{mck2018architecture,
	author = {Burkacky, Ondrej and Deichmann, Johannes and Doll, Georg and Knochenhauer, Christian},
	title = {{Rethinking car software and electronics architecture}},
	year = {2018},
	month = {February},
	url = {https://www.mckinsey.com/industries/automotive-and-assembly/our-insights/rethinking-car-software-and-electronics-architecture},
}

@misc{exynos,
	author = {Samsung},
	title = {{Automotive Processor Exynos Auto V9}},
	url = {https://www.samsung.com/semiconductor/minisite/exynos/products/automotiveprocessor/exynos-auto-v9/},
}

@misc{xacml,
	author = {OASIS},
	title = {{eXtensible Access Control Markup Language (XACML) Version 3.0 Plus Errata 01}},
	url = {http://docs.oasis-open.org/xacml/3.0/xacml-3.0-core-spec-en.html},
	year = {2017}
}

@misc{alfa-oasis,
	author = {OASIS},
	title = {{Abbreviated language for authorization Version 1.0}},
	url = {https://bit.ly/2UP6Jza},
	year = {2015},
}

@misc{autosar2018adaptive,
	title={{Explanation of Adaptive Platform Design}},
	volume={19-11},
	author={AUTOSAR},
	month={March},
	year={2019},
	url={https://www.autosar.org/fileadmin/user_upload/standards/adaptive/19-11/AUTOSAR_EXP_PlatformDesign.pdf}
}

@misc{denis2017libsodium,
	title={libsodium: A modern and easy-to-use crypto library},
	author={Denis, F},
	year={2017},
	publisher={July},
	url={https://libsodium.gitbook.io/doc/}
}

@incollection{colombo2010proposal,
	title={A proposal on enhancing XACML with continuous usage control features},
	author={Colombo, Maurizio and Lazouski, Aliaksandr and Martinelli, Fabio and Mori, Paolo},
	booktitle={Grids, P2P and Services Computing},
	pages={133--146},
	year={2010},
	publisher={Springer}
}

@incollection{ucs2018perf,
	title={{Enhancing Usage Control for Performance: An Architecture for Systems of Systems}},
	author={Gkioulos, Vasileios and Rizos, Athanasios and Michailidou, Christina and Mori, Paolo and Saracino, Andrea},
	booktitle={Computer Security},
	pages={69--84},
	year={2018},
	publisher={Springer}
}

@techreport{sambra2019vcig,
	author={David Chadwick and Dave Longley and Manu Sporny and Oliver Terbu and Dmitri Zagidulin and Brent Zundel},
	title={{Verifiable Credentials Implementation Guidelines 1.0}},
	month={September},
	year={2019},
	editor={Andrei Sambra},
	institution={W3C},
	url={https://www.w3.org/TR/vc-imp-guide/},
}

@techreport{vc2019datamodel,
	title={{Verifiable credentials data model 1.0}},
	author={Sporny, Manu and Longley, Dave and Chadwick, David},
	editor={Manu Sporny and Grant Noble and	Dave Longley and Daniel C. Burnett and Brent Zundel},
	institution={W3C},
	month={November},
	year={2019},
	url={https://www.w3.org/TR/vc-data-model/}
}

@techreport{ed25519w3cdraft,
	author={Orie Steele and Markus Sabadello and Kim Hamilton Duffy},
	title={{Ed25519 Signature 2020}},
	editor={Orie Steele},
	institution={W3C},
	month={November},
	year={2020},
	url={https://w3c-ccg.github.io/lds-ed25519-2020/}
}

@techreport{rfc8785,
	author={A. Rundgren and B. Jordan and S. Erdtman},
	title={{JSON Canonicalization Scheme (JCS)}},
	type={{RFC}},
	number=8785,
	year={2020},
	month={June},
	issn={2070-1721},
	institution={RFC Editor},
	note={This document is not an Internet Standards Track specification; it is published for informational purposes.},
	url={https://tools.ietf.org/html/rfc8785}
}

@techreport{rfc7519jwt,
	author={M. Jones and J. Bradley and N. Sakimura},
	title={{JSON Web Token (JWT)}},
	type={{RFC}},
	number=7519,
	year={2015},
	month={May},
	issn={2070-1721},
	institution={RFC Editor},
	url={https://tools.ietf.org/html/rfc7519}
}

@techreport{rfc7515jws,
	author={M. Jones and J. Bradley and N. Sakimura},
	title={{JSON Web Signature (JWS)}},
	type={{RFC}},
	number=7515,
	year={2015},
	month={May},
	issn={2070-1721},
	institution={RFC Editor},
	url={https://tools.ietf.org/html/rfc7515}
}

@techreport{kim2016introducing,
	title={{Introducing Attribute-Based Access Control to AUTOSAR}},
	author={Kim, Dae-Kyoo and Song, Eunjee and Yu, Huafeng},
	year={2016},
	institution={SAE Technical Paper}
}

@inproceedings{camenisch2001efficient,
	title={An efficient system for non-transferable anonymous credentials with optional anonymity revocation},
	author={Camenisch, Jan and Lysyanskaya, Anna},
	booktitle={International conference on the theory and applications of cryptographic techniques},
	pages={93--118},
	year={2001},
	organization={Springer}
}

@article{hopwood2016zcash,
	title={Zcash protocol specification},
	author={Hopwood, Daira and Bowe, Sean and Hornby, Taylor and Wilcox, Nathan},
	journal={GitHub: San Francisco, CA, USA},
	year={2016}
}

@inproceedings{chaum1984blind,
	title={Blind signature system},
	author={Chaum, David},
	booktitle={Advances in cryptology},
	pages={153--153},
	year={1984},
	organization={Springer}
}
@article{josefsson2017rfc8032,
	title={RFC8032: Edwards-curve digital signature algorithm (EdDSA)},
	author={Josefsson, S and Liusvaara, I},
	journal={Request for Comments, IETF},
	year={2017}
}

@article{brendel2020provable,
	title={The provable security of ed25519: theory and practice},
	author={Brendel, Jacqueline and Cremers, Cas and Jackson, Dennis and Zhao, Mang},
	journal={IEEE Security \& Privacy},
	year={2020}
}

@techreport{chen2019recommendations,
	title={Recommendations for discrete logarithm-based cryptography: Elliptic curve domain parameters},
	author={Chen, Lily and Moody, Dustin and Regenscheid, Andrew and Randall, Karen},
	year={2019},
	institution={National Institute of Standards and Technology}
}